compact1, compact2, compact3
javax.security.auth.login

## Class AppConfigurationEntry

- java.lang.Object
- - javax.security.auth.login.AppConfigurationEntry

    public class AppConfigurationEntry
    extends Object

This class represents a single `LoginModule` entry configured for the application specified in the `getAppConfigurationEntry(String appName)` method in the `Configuration` class. Each respective `AppConfigurationEntry` contains a `LoginModule` name, a control flag (specifying whether this `LoginModule` is REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL), and LoginModule-specific options. Please refer to the `Configuration` class for more information on the different control flags and their semantics.

See Also:
  `Configuration`

### Nested Class Summary

Nested Classes
`static class` `AppConfigurationEntry.LoginModuleControlFlag` This class represents whether or not a `LoginModule` is REQUIRED, REQUISITE, SUFFICIENT or OPTIONAL.

### Constructor Summary

Constructors
Constructor and Description
`AppConfigurationEntry(String loginModuleName, AppConfigurationEntry.LoginModuleControlFlag controlFlag, Map<String,?> options)` Default constructor for this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`AppConfigurationEntry.LoginModuleControlFlag` `getControlFlag()` Return the controlFlag (either REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL) for this `LoginModule`.
`String` `getLoginModuleName()` Get the class name of the configured `LoginModule`.
`Map<String,?>` `getOptions()` Get the options configured for this `LoginModule`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AppConfigurationEntry

    public AppConfigurationEntry(String loginModuleName,
                                 AppConfigurationEntry.LoginModuleControlFlag controlFlag,
                                 Map<String,?> options)

Default constructor for this class.

This entry represents a single `LoginModule` entry configured for the application specified in the `getAppConfigurationEntry(String appName)` method from the `Configuration` class.

Parameters:
  `loginModuleName` - String representing the class name of the `LoginModule` configured for the specified application.

  `controlFlag` - either REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL.

  `options` - the options configured for this `LoginModule`.
Throws:
  `IllegalArgumentException` - if `loginModuleName` is null, if `LoginModuleName` has a length of 0, if `controlFlag` is not either REQUIRED, REQUISITE, SUFFICIENT or OPTIONAL, or if `options` is null.

### Method Detail

#### getLoginModuleName

    public String getLoginModuleName()

Get the class name of the configured `LoginModule`.

Returns:
  the class name of the configured `LoginModule` as a String.

#### getControlFlag

    public AppConfigurationEntry.LoginModuleControlFlag getControlFlag()

Return the controlFlag (either REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL) for this `LoginModule`.

Returns:
  the controlFlag (either REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL) for this `LoginModule`.

#### getOptions

    public Map<String,?> getOptions()

Get the options configured for this `LoginModule`.

Returns:
  the options configured for this `LoginModule` as an unmodifiable `Map`.